JavaScript
import Conductor from 'conductor-node';
const conductor = new Conductor({
apiKey: process.env['CONDUCTOR_SECRET_KEY'], // This is the default and can be omitted
});
const standardTerm = await conductor.qbd.standardTerms.create({
name: 'Net 30',
conductorEndUserId: 'end_usr_1234567abcdefg',
});
console.log(standardTerm.id);import os
from conductor import Conductor
conductor = Conductor(
api_key=os.environ.get("CONDUCTOR_SECRET_KEY"), # This is the default and can be omitted
)
standard_term = conductor.qbd.standard_terms.create(
name="Net 30",
conductor_end_user_id="end_usr_1234567abcdefg",
)
print(standard_term.id)curl --request POST \
--url https://api.conductor.is/v1/quickbooks-desktop/standard-terms \
--header 'Authorization: Bearer <token>' \
--header 'Conductor-End-User-Id: <conductor-end-user-id>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Net 30",
"isActive": true,
"dueDays": 30,
"discountDays": 10,
"discountPercentage": "10"
}
'<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.conductor.is/v1/quickbooks-desktop/standard-terms",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Net 30',
'isActive' => true,
'dueDays' => 30,
'discountDays' => 10,
'discountPercentage' => '10'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Conductor-End-User-Id: <conductor-end-user-id>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.conductor.is/v1/quickbooks-desktop/standard-terms"
payload := strings.NewReader("{\n \"name\": \"Net 30\",\n \"isActive\": true,\n \"dueDays\": 30,\n \"discountDays\": 10,\n \"discountPercentage\": \"10\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Conductor-End-User-Id", "<conductor-end-user-id>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.conductor.is/v1/quickbooks-desktop/standard-terms")
.header("Conductor-End-User-Id", "<conductor-end-user-id>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"Net 30\",\n \"isActive\": true,\n \"dueDays\": 30,\n \"discountDays\": 10,\n \"discountPercentage\": \"10\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.conductor.is/v1/quickbooks-desktop/standard-terms")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Conductor-End-User-Id"] = '<conductor-end-user-id>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"Net 30\",\n \"isActive\": true,\n \"dueDays\": 30,\n \"discountDays\": 10,\n \"discountPercentage\": \"10\"\n}"
response = http.request(request)
puts response.read_body{
"id": "80000001-1234567890",
"objectType": "qbd_standard_term",
"createdAt": "2025-01-01T12:34:56.000Z",
"updatedAt": "2025-02-01T12:34:56.000Z",
"revisionNumber": "1721172183",
"name": "Net 30",
"isActive": true,
"dueDays": 30,
"discountDays": 10,
"discountPercentage": "10"
}Standard Terms
Create a standard term
Creates a new standard term.
POST
/
quickbooks-desktop
/
standard-terms
JavaScript
import Conductor from 'conductor-node';
const conductor = new Conductor({
apiKey: process.env['CONDUCTOR_SECRET_KEY'], // This is the default and can be omitted
});
const standardTerm = await conductor.qbd.standardTerms.create({
name: 'Net 30',
conductorEndUserId: 'end_usr_1234567abcdefg',
});
console.log(standardTerm.id);import os
from conductor import Conductor
conductor = Conductor(
api_key=os.environ.get("CONDUCTOR_SECRET_KEY"), # This is the default and can be omitted
)
standard_term = conductor.qbd.standard_terms.create(
name="Net 30",
conductor_end_user_id="end_usr_1234567abcdefg",
)
print(standard_term.id)curl --request POST \
--url https://api.conductor.is/v1/quickbooks-desktop/standard-terms \
--header 'Authorization: Bearer <token>' \
--header 'Conductor-End-User-Id: <conductor-end-user-id>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Net 30",
"isActive": true,
"dueDays": 30,
"discountDays": 10,
"discountPercentage": "10"
}
'<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.conductor.is/v1/quickbooks-desktop/standard-terms",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Net 30',
'isActive' => true,
'dueDays' => 30,
'discountDays' => 10,
'discountPercentage' => '10'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Conductor-End-User-Id: <conductor-end-user-id>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.conductor.is/v1/quickbooks-desktop/standard-terms"
payload := strings.NewReader("{\n \"name\": \"Net 30\",\n \"isActive\": true,\n \"dueDays\": 30,\n \"discountDays\": 10,\n \"discountPercentage\": \"10\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Conductor-End-User-Id", "<conductor-end-user-id>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.conductor.is/v1/quickbooks-desktop/standard-terms")
.header("Conductor-End-User-Id", "<conductor-end-user-id>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"Net 30\",\n \"isActive\": true,\n \"dueDays\": 30,\n \"discountDays\": 10,\n \"discountPercentage\": \"10\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.conductor.is/v1/quickbooks-desktop/standard-terms")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Conductor-End-User-Id"] = '<conductor-end-user-id>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"Net 30\",\n \"isActive\": true,\n \"dueDays\": 30,\n \"discountDays\": 10,\n \"discountPercentage\": \"10\"\n}"
response = http.request(request)
puts response.read_body{
"id": "80000001-1234567890",
"objectType": "qbd_standard_term",
"createdAt": "2025-01-01T12:34:56.000Z",
"updatedAt": "2025-02-01T12:34:56.000Z",
"revisionNumber": "1721172183",
"name": "Net 30",
"isActive": true,
"dueDays": 30,
"discountDays": 10,
"discountPercentage": "10"
}Authorizations
Headers
Body
application/json
The case-insensitive unique name of this standard term, unique across all standard terms.
NOTE: Standard terms do not have a fullName field because they are not hierarchical objects, which is why name is unique for them but not for objects that have parents.
Maximum length: 31 characters.
Maximum string length:
31Example:
"Net 30"
Response
200 - application/json
Returns the newly created standard term.
The current QuickBooks-assigned revision number of this standard term object, which changes each time the object is modified. When updating this object, you must provide the most recent revisionNumber to ensure you're working with the latest data; otherwise, the update will return an error.
Example:
"1721172183"

